# Uses of Record Class
org.eclipse.ui.texteditor.stickyscroll.IStickyLinesProvider.StickyLinesProperties

Packages that use IStickyLinesProvider.StickyLinesProperties
Package
Description
org.eclipse.ui.texteditor.stickyscroll

## Uses of IStickyLinesProvider.StickyLinesProperties in org.eclipse.ui.texteditor.stickyscroll

Methods in org.eclipse.ui.texteditor.stickyscroll with parameters of type IStickyLinesProvider.StickyLinesProperties
Modifier and Type
Method
Description
`List<IStickyLine>`
IStickyLinesProvider.`getStickyLines(ISourceViewer sourceViewer, int lineNumber, IStickyLinesProvider.StickyLinesProperties properties)`
Calculate the sticky lines for the source code of the given sourceViewer.